Skip to main content
POST
/
v5
/
imports
/
wave
Import Wave
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/imports/wave \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  },
  "glAccountMapping": [
    {
      "importType": "<string>",
      "importName": "<string>",
      "glAccountId": 123,
      "importAccountNo": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

accountBalances
file
required

Exported "Account Balances" from Wave for the day before the start of the exported "Account Transactions"

accountTransactions
file
required

Exported "Account Transactions" from Wave

Response

200 - application/json

Successful operation

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object
glAccountMapping
object[]

List of mappings from the imported account to its associated Tight GL account. If the Tight glAccountId is null, the imported account will need to be mapped to a Tight account